---
lang: en
title: 'API docs: boot.bootcomponent'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/boot
permalink: /doc/en/lb4/apidocs.boot.bootcomponent.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/boot](./boot.md) &gt; [BootComponent](./boot.bootcomponent.md)

## BootComponent class

BootComponent is used to export the default list of Booter's made available by this module as well as bind the BootStrapper to the app so it can be used to run the Booters.

<b>Signature:</b>

```typescript
export declare class BootComponent implements Component 
```
<b>Implements:</b> [Component](./core.component.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(app)](./boot.bootcomponent._constructor_.md) |  | Constructs a new instance of the <code>BootComponent</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [booters](./boot.bootcomponent.booters.md) |  | (typeof [ApplicationMetadataBooter](./boot.applicationmetadatabooter.md) \| typeof [ControllerBooter](./boot.controllerbooter.md) \| typeof [DataSourceBooter](./boot.datasourcebooter.md) \| typeof [InterceptorProviderBooter](./boot.interceptorproviderbooter.md) \| typeof [LifeCycleObserverBooter](./boot.lifecycleobserverbooter.md) \| typeof [ModelApiBooter](./boot.modelapibooter.md) \| typeof [ModelBooter](./boot.modelbooter.md) \| typeof [RepositoryBooter](./boot.repositorybooter.md) \| typeof [ServiceBooter](./boot.servicebooter.md)<!-- -->)\[\] |  |


